Index: branches/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenu.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenu.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenu.cs	(revision 51)
@@ -923,29 +1192,29 @@
                 int Tabcount = MenuTabName[wrkname];
                 switch (Tabcount)
                 {
-                    case (int)FrmMenuTabNameEnum.Tenders:
+                    case (int)TabNameEnum.Tenders:
                         // 入札案件一覧情報表示
-                        ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)FrmMenuTabNameEnum.Tenders);
+                        ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)TabNameEnum.Tenders);
                         break;
-                    case (int)FrmMenuTabNameEnum.BudgetUpProjects:
+                    case (int)TabNameEnum.BudgetUpProjects:
                         // 予算取り案件一覧情報表示
-                        ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)FrmMenuTabNameEnum.BudgetUpProjects);
+                        ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)TabNameEnum.BudgetUpProjects);
                         break;
-                    case (int)FrmMenuTabNameEnum.SalesInProjects:
+                    case (int)TabNameEnum.SalesInProjects:
                         // 工事案件一覧情報表示
-                        ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)FrmMenuTabNameEnum.SalesInProjects);
+                        ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)TabNameEnum.SalesInProjects);
                         break;
-                    case (int)FrmMenuTabNameEnum.ConstructionProjects:
+                    case (int)TabNameEnum.ConstructionProjects:
                         // 受注状況一覧表示
-                        ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)FrmMenuTabNameEnum.ConstructionProjects);
+                        ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)TabNameEnum.ConstructionProjects);
                         break;
-                    case (int)FrmMenuTabNameEnum.NonOrders:
+                    case (int)TabNameEnum.NonOrders:
                         // 非受注一覧
-                        ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)FrmMenuTabNameEnum.NonOrders);
+                        ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)TabNameEnum.NonOrders);
                         break;
-                    case (int)FrmMenuTabNameEnum.CompletionOfConstruction:
+                    case (int)TabNameEnum.CompletionOfConstruction:
                         // 完了工事一覧
-                        ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)FrmMenuTabNameEnum.CompletionOfConstruction);
+                        ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)TabNameEnum.CompletionOfConstruction);
                         break;
                     default:
                         break;
@@ -970,6 +1239,7 @@
         #endregion
 
         #region 行動予定系イベントメソッド
+        #region 行動予定一覧一覧グリッドクリック時処理
         /// <summary>
         /// 行動予定一覧一覧グリッドクリック時処理
         /// </summary>
@@ -993,6 +1263,9 @@
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
         }
+        #endregion
+
+        #region 行動予定一覧表示時の描画
         /// <summary>
         /// 行動予定一覧表示時の描画
         /// </summary>
@@ -1042,6 +1315,9 @@
             //if (dgvActionSchedule[e.ColumnIndex, 2].Style.BackColor == Color.White) return;
             //dgvActionSchedule[e.ColumnIndex, e.RowIndex].Style.BackColor = dgvActionSchedule[e.ColumnIndex, 2].Style.BackColor;
         }
+        #endregion
+
+        #region 行動予定入力ボタン押下
         /// <summary>
         /// 行動予定入力ボタン押下
         /// </summary>
@@ -1061,15 +1337,29 @@
 
                 // 入力対象者セット
                 int PersonCode = CommonMotions.cnvInt(dgv.CurrentRow.Cells[(int)ActionSchduleGridCount.PersonCode].Value);
+                // 入力者部署セット
+                int DepCode = CommonMotions.cnvInt(dgv.CurrentRow.Cells[(int)ActionSchduleGridCount.DepartmentCode].Value);
                 string EmployeeClass = CommonMotions.cnvString(dgv.CurrentRow.Cells[(int)ActionSchduleGridCount.DepartmentCode].Value);
+                
                 bool bPatmission = false;
                 // 行毎に書き込みの権限を判定する
                 if (PersonCode == CommonDefine.s_CompanyActionCode)
-                {   // 会社行事は所属長以上は書き込める
-                    if (CommonMotions.LoginUserData.SecurityManagement != CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.UserAuthority].Key) bPatmission = true;
-                    // 所属長以上でなくても総務部は書き込める
-                    if (CommonMotions.LoginUserData.DepartmentCode == CommonDefine.s_GeneralAffairsDevision) bPatmission = true;
-
+                {   // 会社行事
+                    // 新セキュリティ対応
+                    if (CommonMotions.LoginUserData.SecCode == 0)
+                    {
+                        // 所属長以上は書き込める
+                        if (CommonMotions.LoginUserData.SecurityManagement != CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.UserAuthority].Key) bPatmission = true;
+                        // 所属長以上でなくても総務部は書き込める
+                        if (CommonMotions.LoginUserData.DepartmentCode == CommonDefine.s_GeneralAffairsDevision) bPatmission = true;
+                    }
+                    else
+                    {
+                        // 所属長以上は書き込める
+                        if (CommonMotions.LoginUserSecurity.SecRank != CommonDefine.SecurityRankList[(int)CommonDefine.SecurityRankPos.NormalAuthority].Key) bPatmission = true;
+                        // 所属長以上でなくても総務部は書き込める
+                        if (CommonMotions.LoginUserSecurity.GeneralAffairs == (int)CommonDefine.GeneralAffairs.GeneralDep) bPatmission = true;
+                    }
                 }
                 else if (PersonCode == CommonDefine.s_DivisionActionCode)
                 {   // 部署行事は全員が書き込める
@@ -1079,9 +1369,57 @@
                 {   // 部署コードが常雇の場合は全員が書込み対象
                     bPatmission = true;
                 }
+                else if (PersonCode == CommonMotions.LoginUserData.PersonCode)
+                {   // 自分のデータは書き込める
+                    bPatmission = true;
+                }
                 else
-                {   // それ以外は書き込み権限があれば書き込める
-                    if (ClsSecurityPermission.ActionSchdulePermission(PersonCode)) bPatmission = true;
+                {   // ----- それ以外は書き込み権限があれば書き込める
+                    // 新セキュリティ対応
+                    if (CommonMotions.LoginUserData.SecCode == 0)
+                    {
+                        if (ClsSecurityPermission.ActionSchdulePermission(PersonCode)) bPatmission = true;
+                    }
+                    else
+                    {
+                        int SRank = (int)CommonDefine.SecurityRankPos.SpecialAuthority;     // 経営者アクセス
+                        int FRank = (int)CommonDefine.SecurityRankPos.FreeAuthority;        // 統括者アクセス
+                        int LRank = (int)CommonDefine.SecurityRankPos.LimitedAuthority;     // 所属長アクセス
+
+                        // システム管理者は全てOK
+                        if (CommonMotions.LoginUserData.PersonCode == CommonDefine.AdminCode)
+                        {
+                            bPatmission = true;
+                        }
+                        else if (CommonMotions.LoginUserSecurity.SecRank == CommonDefine.SecurityRankList[SRank].Key)
+                        {
+                            // ===== 統括者アクセス対象の条件を調べる
+                            bPatmission = true;
+                        }
+                        // ログイン者が所属長の場合は対象者の所属部署を参照部署と比較
+                        else if (CommonMotions.LoginUserSecurity.SecRank == CommonDefine.SecurityRankList[FRank].Key
+                            || CommonMotions.LoginUserSecurity.SecRank == CommonDefine.SecurityRankList[LRank].Key)
+                        {
+                            // 参照部署取得
+                            List<KeyValuePair<int, string>> DepList = new List<KeyValuePair<int, string>>();
+                            ClsSecurityPermission.GetRefDepartment(CommonMotions.LoginUserData.PersonCode, ref DepList);
+                            int Range = 0;
+                            int CurRank = ClsSecurityPermission.GetPersonDataAccessRank(PersonCode, ref Range);
+                            // 参照部署にあるかのチェック
+                            foreach (PersonDepartmentMaster RefDepRec in CommonMotions.LoginUserDepartment)
+                            {
+                                if (DepCode == RefDepRec.DepartmentCode)
+                                {
+                                    // 書込み者が自分より上位者では無い場合は読み込める
+                                    if (CommonMotions.LoginUserSecurity.SecRank <= CurRank)
+                                    {
+                                        bPatmission = true;
+                                        break;
+                                    }
+                                }
+                            }
+                        }
+                    }
                 }
                 if (!bPatmission)
                 {
@@ -1122,6 +1460,9 @@
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
         }
+        #endregion
+
+        #region 車両予約入力ボタン押下
         /// <summary>
         /// 車両予約入力ボタン押下
         /// </summary>
@@ -1159,7 +1500,7 @@
                     iMounth = CommonMotions.cnvInt(dgv[i, 0].Value);
                     if (iMounth != 0) break;
                 }
-                if (iMounth == 0) iMounth = (DateTime.Now.Month - 1);
+                if (iMounth == 0) iMounth = DateTime.Now.Month;
                 ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(iMounth);
 
                 // 処理実行
@@ -1173,6 +1514,9 @@
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
         }
+        #endregion
+
+        #region 行動予定表示前週ボタン押下
         /// <summary>
         /// 行動予定表示前週ボタン押下
         /// </summary>
@@ -1182,6 +1526,9 @@
         {
 
         }
+        #endregion
+
+        #region 行動予定表示次週ボタン押下
         /// <summary>
         /// 行動予定表示次週ボタン押下
         /// </summary>
@@ -1192,6 +1539,7 @@
 
         }
         #endregion
+        #endregion
 
         #region 人員配置イベントメソッド
         #region 人員配置グリッドクリック
@@ -1212,7 +1560,7 @@
                 // 工事番号取得
                 int iConstructionCode = CommonMotions.cnvInt(dgv.CurrentRow.Cells[(int)StaffAssignmentGridCount.ConstructionCode].Value);
 
-                if ((bExecFlg = ClsSecurityPermission.ConstructionDataAccessPermission(iConstructionCode)))
+                if ((bExecFlg = ClsSecurityPermission.PersonDataAccess(iConstructionCode)))
                 {
                     // 自画面非表示
                     if (CommonMotions.ProductionExecution) this.Visible = false;
@@ -1531,14 +1879,15 @@
         /// <param name="e"></param>
         private void dgvStaffAssignment_Scroll(object sender, ScrollEventArgs e)
         {
-            // 水平スクロールの設定無は処理しない
-            if (m_StaffAssignVScroll == null) return;
-            // 表示中のスクロールは処理しない
-            if (m_bStaffAssignInitFlg) return;
-            // 垂直スクロールは処理しない
-            if (e.ScrollOrientation == ScrollOrientation.VerticalScroll) return;
+            dgvStaffAssignment.Invalidate();
+            //// 水平スクロールの設定無は処理しない
+            //if (m_StaffAssignVScroll == null) return;
+            //// 表示中のスクロールは処理しない
+            //if (m_bStaffAssignInitFlg) return;
+            //// 垂直スクロールは処理しない
+            //if (e.ScrollOrientation == ScrollOrientation.VerticalScroll) return;
 
-            if (!timer_StaffAssign.Enabled) timer_StaffAssign.Start();
+            //if (!timer_StaffAssign.Enabled) timer_StaffAssign.Start();
             //Console.WriteLine(string.Format("位置：{0}", m_StaffAssignVScroll.Value));
         }
         #endregion
@@ -1628,9 +1977,11 @@
                 int iConstructionCode = CommonMotions.cnvInt(dgv.CurrentRow.Cells[(int)DocumentApprovalGridCount.ConstructionCode].Value);
                 // 承認機能番号取得
                 int iApprovalCode = CommonMotions.cnvInt(dgv.CurrentRow.Cells[(int)DocumentApprovalGridCount.ApprovalCode].Value);
+                // 受付番号取得
+                int iOrderNo = CommonMotions.cnvInt(dgv.CurrentRow.Cells[(int)DocumentApprovalGridCount.OrderNo].Value);
 
                 // 起動資格の確認
-                if ((bExecFlg = ClsSecurityPermission.ConstructionDataAccessPermission(iConstructionCode, false)))
+                if ((bExecFlg = ClsSecurityPermission.PersonDataAccess(iConstructionCode, false)))
                 {
                     // 自画面非表示
                     if (CommonMotions.ProductionExecution) this.Visible = false;
@@ -1641,6 +1992,8 @@
                     ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(iConstructionCode);
                     // 選択承認機能番号セット
                     ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(iApprovalCode);
+                    // 受付番号セット
+                    ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(iOrderNo);
 
                     // 処理実行
                     ClsExcute.ProcesscExecute();
@@ -1671,6 +2024,7 @@
         /// <param name="e"></param>
         private void btnOrder_Click(object sender, EventArgs e)
         {
+            int NowPoint = -1;
             try
             {
                 // 自画面非表示
@@ -1678,113 +2032,94 @@
 
                 // 参照オブジェクトをボタンに変換
                 System.Windows.Forms.Button btnKey = (System.Windows.Forms.Button)sender;
-
-                
-                //---- 1列目
-                if (btnKey.Name == "btnOrder00")
+                int ButtonCol = tblLayoutOrder.GetColumn(btnKey);                           // 列取得（Ｘ）
+                int ButtonRow = tblLayoutOrder.GetRow(btnKey);                              // 行取得（Ｙ）
+                switch (ButtonRow)
                 {
-                    // ----- 起動プロセス設定
-                    // 工事一覧から表示を行うため起動プロセスはパラメータの1つ目にセットする。
-                    int NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.ConstructionList);
+                    case 0:
+                        switch (ButtonCol)
+                        {
+                            case 0:
+                                // 工事一覧から表示を行うため起動プロセスはパラメータの1つ目にセットする。
+                                NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.ConstructionList);
 
-                    //　工事基本情報入力
-                    ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)ClsExcute.ProcessExecuteNo.ConstructionBaseInfo);
-                    ClsExcute.ProcControlPara[NowPoint].BoolExecParameter.Add(true);
-                }
-                else if (btnKey.Name == "btnOrder01")
-                {
-                    // ----- 起動プロセス設定
-                    // 工事一覧から表示を行うため起動プロセスはパラメータの1つ目にセットする。
-                    int NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.ConstructionList);
+                                //　工事基本情報入力
+                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)ClsExcute.ProcessExecuteNo.ConstructionBaseInfo);
+                                ClsExcute.ProcControlPara[NowPoint].BoolExecParameter.Add(true);
+                                break;
+                        }
+                        break;
+                    case 2:
+                        switch (ButtonCol)
+                        {
+                            case 0:
+                                // ----- 起動プロセス設定
+                                // 工事一覧から表示を行うため起動プロセスはパラメータの1つ目にセットする。
+                                NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.ConstructionList);
 
-                    //　積算見積入力
-                    ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)ClsExcute.ProcessExecuteNo.EstimateInput);
-                    ClsExcute.ProcControlPara[NowPoint].BoolExecParameter.Add(false);
-                }
-                else if (btnKey.Name == "btnOrder02")
-                {
-                    // ----- 起動プロセス設定
-                    // 工事一覧から表示を行うため起動プロセスはパラメータの1つ目にセットする。
-                    int NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.ConstructionList);
+                                //　積算見積入力
+                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)ClsExcute.ProcessExecuteNo.EstimateInput);
+                                ClsExcute.ProcControlPara[NowPoint].BoolExecParameter.Add(false);
+                                break;
+                            case 2:
+                                // ----- 起動プロセス設定
+                                NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.ApprovalDocumentList);
 
-                    //　積算予算入力
-                    ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)ClsExcute.ProcessExecuteNo.EstimateBudget);
-                    ClsExcute.ProcControlPara[NowPoint].BoolExecParameter.Add(false);
-                }
-                else if (btnKey.Name == "btnOrder03")
-                {
-                }
-                else if (btnKey.Name == "btnOrder04")
-                {
-                }
-                else if (btnKey.Name == "btnOrder05")
-                {
-                }
-                //---- 2列目
-                else if (btnKey.Name == "btnOrder06")
-                {
-                }
-                else if (btnKey.Name == "btnOrder07")
-                {
-                    // ----- 起動プロセス設定
-                    int NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.ApprovalDocumentList);
+                                // 承認一覧から表示を行うため起動プロセスはパラメータの1つ目にセットする。
+                                //　積算見積書承認
+                                int ApprovalCode = ClsExcute.AppovalList.First(x => x.Value.Equals("積算見積書承認")).Key;
+                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(ApprovalCode);
+                                break;
+                            case 4:
+                                // ----- 起動プロセス設定
+                                // 工事一覧から表示を行うため起動プロセスはパラメータの1つ目にセットする。
+                                NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.ConstructionList);
 
-                    // 承認一覧から表示を行うため起動プロセスはパラメータの1つ目にセットする。
-                    //　積算見積書承認
-                    int ApprovalCode = ClsExcute.AppovalList.First(x => x.Value.Equals("積算見積書承認")).Key;
-                    ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(ApprovalCode);
-                }
-                else if (btnKey.Name == "btnOrder08")
-                {
-                    // ----- 起動プロセス設定
-                    int NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.ApprovalDocumentList);
+                                //　積算見積印刷
+                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)ClsExcute.ProcessExecuteNo.EstimatePrint);
+                                ClsExcute.ProcControlPara[NowPoint].BoolExecParameter.Add(false);
+                                break;
+                        }
+                        break;
+                    case 4:
+                        switch (ButtonCol)
+                        {
+                            case 0:
+                                // ----- 起動プロセス設定
+                                // 工事一覧から表示を行うため起動プロセスはパラメータの1つ目にセットする。
+                                NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.ConstructionList);
 
-                    // 承認一覧から表示を行うため起動プロセスはパラメータの1つ目にセットする。
-                    //　積算予算書承認
-                    int ApprovalCode = ClsExcute.AppovalList.First(x => x.Value.Equals("積算予算書承認")).Key;
-                    ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(ApprovalCode);
+                                //　積算予算入力
+                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)ClsExcute.ProcessExecuteNo.EstimateBudget);
+                                ClsExcute.ProcControlPara[NowPoint].BoolExecParameter.Add(false);
+                                break;
+                            case 2:
+                                // ----- 起動プロセス設定
+                                NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.ApprovalDocumentList);
+
+                                // 承認一覧から表示を行うため起動プロセスはパラメータの1つ目にセットする。
+                                //　積算予算書承認
+                                int ApprovalCode = ClsExcute.AppovalList.First(x => x.Value.Equals("積算予算書承認")).Key;
+                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(ApprovalCode);
+                                break;
+                        }
+                        break;
+                    case 6:
+                        switch (ButtonCol)
+                        {
+                            case 0:
+                                // 契約結合
+                                NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.OrderJoin);
+                                break;
+                            case 2:
+                                // 見積分割
+                                NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.ConstructionSplit);
+                                break;
+                        }
+                        break;
                 }
-                else if (btnKey.Name == "btnOrder09")
-                {
-                }
-                else if (btnKey.Name == "btnOrder09")
-                {
-                }
-                else if (btnKey.Name == "btnOrder10")
-                {
-                }
-                else if (btnKey.Name == "btnOrder11")
-                {
-                }
-                //---- 3列目
-                else if (btnKey.Name == "btnOrder12")
-                {
-                }
-                else if (btnKey.Name == "btnOrder13")
-                {
-                    // ----- 起動プロセス設定
-                    // 工事一覧から表示を行うため起動プロセスはパラメータの1つ目にセットする。
-                    int NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.ConstructionList);
+                if (NowPoint < 0) return;
 
-                    //　積算見積印刷
-                    ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)ClsExcute.ProcessExecuteNo.EstimatePrint);
-                    ClsExcute.ProcControlPara[NowPoint].BoolExecParameter.Add(false);
-                }
-                else if (btnKey.Name == "btnOrder14")
-                {
-                }
-                else if (btnKey.Name == "btnOrder15")
-                {
-                }
-                else if (btnKey.Name == "btnOrder16")
-                {
-                }
-                else if (btnKey.Name == "btnOrder17")
-                {
-                    FrmPriceOfBudget frm = new FrmPriceOfBudget();
-                    frm.ShowDialog();
-                    frm.Dispose(); frm = null;
-                }
                 // 処理実行
                 ClsExcute.ProcesscExecute();
             }
@@ -1795,7 +2130,7 @@
             finally
             {
                 // 再表示
-                DisplayDataLoad();
+                if (NowPoint > -1) DisplayDataLoad();
                 // 自画面表示
                 if (CommonMotions.ProductionExecution) this.Visible = true;
             }
@@ -1810,6 +2145,7 @@
         /// <param name="e"></param>
         private void btnConstruction_Click(object sender, EventArgs e)
         {
+            int NowPoint = -1;
             try
             {
                 // 自画面非表示
